SPI_getargcount()

NAME
SPI_getargcount - return the number of arguments needed by a plan prepared by SPI_prepare

SYNOPSIS

int SPI_getargcount(void * plan)

DESCRIPTION

SPI_getargcount returns the number of arguments needed to execute a plan prepared by SPI_prepare.

ARGUMENTS

void * plan
    execution plan (returned by SPI_prepare)

RETURN VALUE

The expected argument count for the plan, or SPI_ERROR_ARGUMENT if the plan is NULL